# rust2rpm-helper

This project provides helper functionality for [rust2rpm] written in Rust.

Currently, two subcommands are implemented:

1. A prototype of a new implementation for stripping
target-specific dependencies for "foreign" targets, using TOML library for
parsing and editing which preserves format (the `toml_edit` crate, which
is also used by `cargo`).

2. A simple "normalization" for version strings that contain SemVer "build
metadata" is included.

Usage:

```shell
rust2rpm-helper strip-foreign Cargo.toml -o Cargo.toml.patched
rust2rpm-helper normalize-version Cargo.toml -o Cargo.toml.patched
```

[rust2rpm]: https://pagure.io/fedora-rust/rust2rpm
